update and add testing build
vintage-story-build-latest / Docker prune (vm-docker-build2) (push) Successful in 3s
vintage-story-build-testing / Docker prune (vm-docker-build2) (push) Successful in 3s
vintage-story-build-latest / poll-debian-base-and-detect-changes (push) Successful in 7s
vintage-story-build-testing / poll-debian-base-and-detect-changes (push) Successful in 7s
vintage-story-build-latest / Build and Push latest (push) Successful in 32s
vintage-story-build-testing / Build and Push testing (push) Successful in 30s
vintage-story-build-latest / generate-changelogs (push) Successful in 8s
vintage-story-build-testing / generate-changelogs (push) Successful in 10s
vintage-story-build-latest / generate-build-info (push) Successful in 10s
vintage-story-build-testing / generate-build-info (push) Successful in 10s

This commit is contained in:
2026-07-28 11:54:00 -07:00
parent 68d63fec74
commit e8dc20eacc
7 changed files with 583 additions and 24 deletions
-1
View File
@@ -4,7 +4,6 @@ LABEL maintainer="fithwum"
# Environment Variables
ENV VS_CHANNEL=""
ENV VS_VERSION=""
ENV USERNAME=""
ENV DOTNET_VERSION=""
# URL's for files
+11 -23
View File
@@ -7,7 +7,6 @@ VS_DATA_DIR=/vs_server/server/data
LOG_FILE=$VS_DATA_DIR/Logs/server-main.log
MARKER_FILE=$VS_SERVER_DIR/.setup_done
START_FILE_1=$VS_SERVER_DIR/server-$VS_VERSION.sh
START_FILE_2=https://gitea.fithwum.tech/fithwum/vintage-story/raw/branch/main/latest/start.sh
VS_SERVER_FILE=https://cdn.vintagestory.at/gamefiles/$VS_CHANNEL/vs_server_linux-x64_$VS_VERSION.tar.gz
MS_REPO_URL=https://packages.microsoft.com/config/debian/12/packages-microsoft-prod.deb
USERNAME=adduser vintagestory
@@ -100,30 +99,19 @@ if [ ! -f $MARKER_FILE ]; then
echo "Setup successfully completed."
fi
# Download the start file for the screen session
if [ -f $START_FILE_2 ]; then
echo "INFO ! start.sh found ... moving on."
else
echo "WARNING ! start.sh missing ... downloading default file."
wget --no-cache --show-progress --progress=bar:force:noscroll $START_FILE_2 -O $VS_SERVER_DIR/start.sh
chmod +x $VS_SERVER_DIR/start.sh
fi
# Run vintage-story server.
exec $VS_SERVER_DIR/start.sh
echo " "
echo "INFO ! Starting vintage-story Server $VS_VERSION"
.$START_FILE_1 start
# echo " "
# echo "INFO ! Starting vintage-story Server $VS_VERSION"
# .$START_FILE_1 start
echo "Waiting for the server log file to be created..."
# Loop indefinitely until the log file actually exists on disk
until [ -f "$LOG_FILE" ]; do
sleep 1
done
# echo "Waiting for the server log file to be created..."
# # Loop indefinitely until the log file actually exists on disk
# until [ -f "$LOG_FILE" ]; do
# sleep 1
# done
# echo "Log file found! Streaming server console now..."
# # Hand off PID 1 to tail, keeping the container active permanently
# exec tail -f "$LOG_FILE"
echo "Log file found! Streaming server console now..."
# Hand off PID 1 to tail, keeping the container active permanently
exec tail -f "$LOG_FILE"
exit
-29
View File
@@ -1,29 +0,0 @@
#!/bin/bash
# Copyright (c) 2026 fithwum
# All rights reserved
LOG_FILE=/vs_server/server/data/Logs/server-main.log
SESSION=server
echo "INFO ! A screen session for the Vintage-Story server is already running."
cleanup() {
echo "[INFO] Stopping Vintage-Story ..."
screen -S "$SESSION" -X $SESSION "stop$(printf '\r')"
# Wait up to 60 seconds
for i in {1..60}; do
if ! screen -list | grep -q "$SESSION"; then
break
fi
sleep 1
done
# Kill it if it's still alive
screen -S "$SESSION" -X quit 2>/dev/null || true
exit 0
}
trap cleanup SIGINT SIGTERM
# Start the Minecraft server in a detached screen session
echo "INFO ! Starting Vintage-Story Server in a screen session."
touch "$LOG_FILE"
screen -L -Logfile "$LOG_FILE" -dmS "$SESSION" bash -c dotnet /vs_server/server/VintagestoryServer.dll --data-path /vs_server/server/data
exec tail -F "$LOG_FILE"